/**************************************************************************
  General vars
**************************************************************************/
$margin-top: 84px;

$color-home: #23d160;
$color-table2csv: #167df0;
$color-map-extractor: #ff3860;

/**************************************************************************
  Hero
**************************************************************************/
main {
  margin-top: -$margin-top;

  .title {
    color: white;
  }

  .subtitle {
    color: black;
    margin-top: 2rem;
  }

  .hero.is-large .hero-body {
      padding-bottom: 18rem;
      padding-top: calc(18rem + #{$margin-top});
  }
}

body.home {
  .hero {
    background: linear-gradient(315deg, rgba(255,255,255,0.5) 0%, rgba(255,255,255,0) 100%),
    linear-gradient(315deg, #AF6AFF 0%, #6700DF 100%)
  }
}

body.table2csv {
  .hero {
    background: linear-gradient(315deg, rgba(255,255,255,0.5) 0%, rgba(255,255,255,0) 100%),
      linear-gradient(315deg, #8FCDFF 0%, #113DC6 100%)
  }
}

body.map-extractor {
  .hero {
    background: linear-gradient(315deg, rgba(255,255,255,0.5) 0%, rgba(255,255,255,0) 100%),
      linear-gradient(315deg, #FA5A5A 0%, #FF2F2F 100%);
  }
}




/**************************************************************************
  NavBar color
**************************************************************************/
.progress-wrapper .progress-value {
  color: black;
}

.b-table {
  box-shadow: 14px 14px 14px 0px rgba(0,0,0,0.75);

  .table-wrapper:not(:last-child) {
    background: white;
    margin-bottom: 0;
    padding-bottom: 24px;
  }

  .level:not(.top) {
    background: white;
    padding-right: 1.5rem;
    padding-bottom: 1.5rem;
  }

  .table td,
  .table th {
    word-wrap: anywhere;
  }
}
